%define plugin	vnsiserver
%define rel	1

# make sure XBMC VNSI client works after updating

# TODO: update wirbelscan support to work with our upstream
# wirbelscan - vnsiserver currently supports old custom patch only

Summary:	VDR plugin: VDR-Network-Streaming-Interface (VNSI) Server
Name:		vdr-plugin-%plugin
Version:	1.8.3
Release:	%mkrel 1
Group:		Video/Utilities
License:	GPLv2+
URL:            https://github.com/vdr-projects/vdr-plugin-vnsiserver
Source0:	https://github.com/vdr-projects/vdr-plugin-vnsiserver/archive/refs/tags/%{version}/vdr-%{plugin}-%{version}.tar.gz
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
A VNSI server for VDR, allowing the use of VDR via VNSI PVR add-on of XBMC.

%prep
%setup -q -n vdr-plugin-%plugin-%version
%autopatch -p1

# weirdness causing configuration issues on upgrade
sed -r -i 's,(PLUGIN = %{plugin})[0-9]+,\1,' Makefile

%vdr_plugin_prep

%build
%vdr_plugin_build

%install
%vdr_plugin_install

install -dm 755 -d %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
install -Dpm 644 %{plugin}/* %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%files -f %plugin.vdr
%license COPYING
%doc README HISTORY
%dir %{_vdr_plugin_cfgdir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/%{plugin}/allowed_hosts.conf


%changelog
* Mon Feb 20 2023 ghibo <ghibo> 1.8.3-1.mga9
+ Revision: 1944449
- Update to release 1.8.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for vdr 2.4.6

* Fri Feb 14 2020 umeabot <umeabot> 0.9.1-0.git20130204.11.mga8
+ Revision: 1517781
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-0.git20130204.10.mga7
+ Revision: 1301602
- Mageia 7 Mass Rebuild

* Tue Jul 31 2018 wally <wally> 0.9.1-0.git20130204.9.mga7
+ Revision: 1246399
- add patches to fix build with gcc >= 6

* Tue Feb 09 2016 umeabot <umeabot> 0.9.1-0.git20130204.8.mga6
+ Revision: 951662
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.9.1-0.git20130204.7.mga5
+ Revision: 808509
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.9.1-0.git20130204.6.mga5
+ Revision: 798691
- rebuild for new VDR

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-0.git20130204.5.mga5
+ Revision: 742222
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-0.git20130204.4.mga5
+ Revision: 690180
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.9.1-0.git20130204.3.mga4
+ Revision: 545122
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.9.1-0.git20130204.2.mga4
+ Revision: 500246
- rebuild for new VDR

* Thu Sep 12 2013 anssi <anssi> 0.9.1-0.git20130204.1.mga4
+ Revision: 478157
- new snapshot from frodo branch to support current XBMC version

* Mon Jan 14 2013 umeabot <umeabot> 0.9.0-0.git20111227.4.mga3
+ Revision: 385367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.9.0-0.git20111227.3.mga3
+ Revision: 326250
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.9.0-0.git20111227.2.mga2
+ Revision: 221062
- rebuild for VDR 1.7.25

* Sun Feb 26 2012 anssi <anssi> 0.9.0-0.git20111227.1.mga2
+ Revision: 214976
- new snapshot

* Sat May 14 2011 anssi <anssi> 0.0.1-0.svn32590.2.mga1
+ Revision: 98631
- drop old scriptlets
- add warning about update on .spec
- imported package vdr-plugin-vnsiserver


* Wed Aug 11 2010 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.svn32590.1mdv2011.0
+ Revision: 569119
- new snapshot (fixes issues with config files)
- config files moved to proper location and marked as noreplace
- drop upstreamed patch

* Sat Aug 07 2010 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.svn32585.2mdv2011.0
+ Revision: 567441
- fix crash when a recording has no title in path and no event info

* Sat Aug 07 2010 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.svn32585.1mdv2011.0
+ Revision: 567417
- initial Mandriva release

